﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
  /* Margin bottom by footer height */
  margin-bottom: 60px;
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  line-height: 60px; /* Vertically center the text there */
}

/* My additions
-------------------------------------------------- */
.docnr {
    width: 40px;
}

.docid {
    width: 170px;
}

.description {
}

.creationdate {
    width: 140px;
}

.creator {
}

.actions {
    width: 200px;
}

.cell {
}

.divider {
    width: 5px;
    height: auto;
    display: inline-block;
}

.caret {
    width: 5px;
}

.btn-xs {
    padding: 1px 5px !important;
    font-size: 12px !important;
    line-height: 1.5 !important;
    border-radius: 3px !important;
}

/* My additions for social button for login
-------------------------------------------------- */

.button {
    width: auto;
    display: inline-block;
    padding: 0 18px 0 6px;
    border: 0 none;
    border-radius: 5px;
    text-decoration: none;
    transition: all 250ms linear;
}

.button:hover {
    text-decoration: none;
}

.button--social-login {
    margin-bottom: 12px;
    margin-right: 12px;
    color: white;
    height: 50px;
    line-height: 46px;
    position: relative;
    text-align: left;
}

.button--social-login .icon {
    margin-right: 12px;
    font-size: 24px;
    line-height: 24px;
    width: 42px;
    height: 24px;
    text-align: center;
    display: inline-block;
    position: relative;
    top: 4px;
}

.button--social-login .icon:before {
    display: inline-block;
    width: 40px;
}

.button--social-login .icon:after {
    content: "";
}

.button--microsoft {
    background-color: #00a4ef;
    border: 1px solid #0081bc;
}

.button--microsoft .icon {
    border-right: 1px solid #0081bc;
}

.button--microsoft .icon:after {
    border-right: 1px solid #23baff;
}

.button--microsoft:hover {
    background-color: #0093d6;
}